import { Type } from "igniteui-webcomponents-core/ES2015/type";
/**
 * Used to indicate the type of operation that [[UndoHistoryItem]] represents.
 */
export declare enum UndoHistoryItemType {
    /**
     * The item represents an undo operation.
     */
    Undo = 0,
    /**
     * The item represents a redo operation.
     */
    Redo = 1
}
/**
 * @hidden
 */
export declare let UndoHistoryItemType_$type: Type;
