import { CancelEventArgs } from "igniteui-webcomponents-core/ES2015/igc-cancel-event-args";
/**
 * Event arguments for the contextMenuOpening event.
*/
export class SpreadsheetContextMenuOpeningEventArgs extends CancelEventArgs {
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor() {
        super();
    }
    /**
     * Returns the area for which the menu is being displayed
    */
    get menuArea() {
        return this.i.menuArea;
    }
}
