import { CancelEventArgs } from "igniteui-webcomponents-core/ES2015/igc-cancel-event-args";
/**
 * Event arguments for the editModeEntering event.
*/
export class SpreadsheetEditModeEnteringEventArgs extends CancelEventArgs {
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor() {
        super();
    }
    /**
     * Returns the cell for which the control is going into edit mode.
    */
    get cell() {
        return this.i.cell;
    }
}
