import { __extends } from "tslib";
import { CancelEventArgs } from "igniteui-webcomponents-core/ES5/igc-cancel-event-args";
/**
 * Event arguments for the actionExecuting event.
*/
var SpreadsheetActionExecutingEventArgs = /** @class */ (function (_super) {
    __extends(SpreadsheetActionExecutingEventArgs, _super);
    function SpreadsheetActionExecutingEventArgs() {
        return _super.call(this) || this;
    }
    Object.defineProperty(SpreadsheetActionExecutingEventArgs.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SpreadsheetActionExecutingEventArgs.prototype, "command", {
        /**
         * Returns the command which will be executed on the Spreadsheet.
        */
        get: function () {
            return this.i.command;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SpreadsheetActionExecutingEventArgs.prototype, "commandParameter", {
        /**
         * Returns the parameter which will be used when executing the command.
        */
        get: function () {
            return this.i.commandParameter;
        },
        enumerable: true,
        configurable: true
    });
    return SpreadsheetActionExecutingEventArgs;
}(CancelEventArgs));
export { SpreadsheetActionExecutingEventArgs };
