import { __extends } from "tslib";
import { CancelEventArgs } from "igniteui-webcomponents-core/ES5/igc-cancel-event-args";
/**
 * Event arguments for the hyperlinkExecuting event.
*/
var SpreadsheetHyperlinkExecutingEventArgs = /** @class */ (function (_super) {
    __extends(SpreadsheetHyperlinkExecutingEventArgs, _super);
    function SpreadsheetHyperlinkExecutingEventArgs() {
        return _super.call(this) || this;
    }
    Object.defineProperty(SpreadsheetHyperlinkExecutingEventArgs.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SpreadsheetHyperlinkExecutingEventArgs.prototype, "hyperlink", {
        /**
         * Returns the hyperlink to be executed.
        */
        get: function () {
            return this.i.hyperlink;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SpreadsheetHyperlinkExecutingEventArgs.prototype, "workingDirectory", {
        /**
         * Returns or sets the working directory to use when the hyperlink is a file reference.
        */
        get: function () {
            return this.i.workingDirectory;
        },
        set: function (v) {
            this.i.workingDirectory = v;
        },
        enumerable: true,
        configurable: true
    });
    return SpreadsheetHyperlinkExecutingEventArgs;
}(CancelEventArgs));
export { SpreadsheetHyperlinkExecutingEventArgs };
