import { CancelEventArgs } from "igniteui-webcomponents-core/ES2015/igc-cancel-event-args";
/**
 * Event arguments for the actionExecuting event.
*/
export class SpreadsheetActionExecutingEventArgs extends CancelEventArgs {
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor() {
        super();
    }
    /**
     * Returns the command which will be executed on the Spreadsheet.
    */
    get command() {
        return this.i.command;
    }
    /**
     * Returns the parameter which will be used when executing the command.
    */
    get commandParameter() {
        return this.i.commandParameter;
    }
}
