import { CancelEventArgs } from "igniteui-webcomponents-core/ES2015/igc-cancel-event-args";
import { SpreadsheetEditModeEnteringEventArgs as SpreadsheetEditModeEnteringEventArgs_internal } from "./SpreadsheetEditModeEnteringEventArgs";
import { SpreadsheetCell } from "./SpreadsheetCell";
/**
 * Event arguments for the editModeEntering event.
*/
export declare class SpreadsheetEditModeEnteringEventArgs extends CancelEventArgs {
    /**
                                 * @hidden
                                 */
    get i(): SpreadsheetEditModeEnteringEventArgs_internal;
    constructor();
    /**
     * Returns the cell for which the control is going into edit mode.
    */
    get cell(): SpreadsheetCell;
}
