import { Base, Nullable$1, Type } from "igniteui-webcomponents-core/ES5/type";
import { IWorkbookFont, WorkbookColorInfo, FontSuperscriptSubscriptStyle, FontUnderlineStyle, WorksheetCellFormatData, Workbook } from "igniteui-webcomponents-excel/ES5/excel.core";
import { Color } from "igniteui-webcomponents-core/ES5/Color";
/**
 * @hidden
 */
export declare class WorkbookFontSnapshot extends Base implements IWorkbookFont {
    static $t: Type;
    private _f;
    private _c;
    private _e;
    private _g;
    private _i;
    private _h;
    private _a;
    private _b;
    private _j;
    constructor(a: WorksheetCellFormatData);
    _d(a: WorksheetCellFormatData): WorkbookFontSnapshot;
    static _l(a: WorkbookColorInfo, b: Workbook): Color;
    setFontFormatting(a: IWorkbookFont): void;
    get bold(): boolean | null;
    set bold(a: boolean | null);
    get _bold$i(): Nullable$1<boolean>;
    set _bold$i(a: Nullable$1<boolean>);
    get colorInfo(): WorkbookColorInfo;
    set colorInfo(a: WorkbookColorInfo);
    get height(): number;
    set height(a: number);
    get italic(): boolean | null;
    set italic(a: boolean | null);
    get _italic$i(): Nullable$1<boolean>;
    set _italic$i(a: Nullable$1<boolean>);
    get name(): string;
    set name(a: string);
    get strikeout(): boolean | null;
    set strikeout(a: boolean | null);
    get _strikeout$i(): Nullable$1<boolean>;
    set _strikeout$i(a: Nullable$1<boolean>);
    get superscriptSubscriptStyle(): FontSuperscriptSubscriptStyle;
    set superscriptSubscriptStyle(a: FontSuperscriptSubscriptStyle);
    get underlineStyle(): FontUnderlineStyle;
    set underlineStyle(a: FontUnderlineStyle);
    get _k(): Color;
    set _k(a: Color);
}
