import { CancelEventArgs } from "igniteui-webcomponents-core/ES5/igc-cancel-event-args";
import { SpreadsheetContextMenuOpeningEventArgs as SpreadsheetContextMenuOpeningEventArgs_internal } from "./SpreadsheetContextMenuOpeningEventArgs";
import { SpreadsheetContextMenuArea } from "./SpreadsheetContextMenuArea";
/**
 * Event arguments for the contextMenuOpening event.
*/
export declare class SpreadsheetContextMenuOpeningEventArgs extends CancelEventArgs {
    /**
                                 * @hidden
                                 */
    get i(): SpreadsheetContextMenuOpeningEventArgs_internal;
    constructor();
    /**
     * Returns the area for which the menu is being displayed
    */
    get menuArea(): SpreadsheetContextMenuArea;
}
